import axios from "../../utils/axios";

export function getCompany(query) {
    return axios(
        {
            url: "/warehouse/info/company",
            method: "get",
            params: query
        }
    );
}

export function modifyCompany(query) {
    return axios(
        {
            url: "/warehouse/info/modifyCompany",
            method: "post",
            data: query
        }
    );
}

export function getRefid(query) {
    return axios(
        {
            url: "/sale/info/refid",
            method: "get",
            params: query
        }
    );
}

export function getRegisterConfig(query) {
    return axios(
        {
            url: "/udiwarehouse/register/getRegisterConfig",
            method: "get",
            params: query
        }
    );
}


export function getSubCompany(query) {
    return axios(
        {
            url: "/sale/info/getSubCompany",
            method: "get",
            params: query
        }
    );
}

export function getSubCompany2(query) {
    return axios(
        {
            url: "/sale/info/getSubCompany2",
            method: "get",
            params: query
        }
    );
}

//测试国家UDI库接口连通性
export function testConnection(query) {
    return axios({
        url: "/warehouse/info/testConnection",
        method: "get",
        params: query
    })
}

//校验UDI国家库接口参数
export function verifyConnection() {
    return axios({
        url: "/warehouse/info/verifyConnection",
        method: "get"
    })
}

//忽略校验国家库参数连通性
export function setIgnoreVerify() {
    return axios({
        url: "/warehouse/info/setIgnoreVerify",
        method: "get"
    })
}
